
%define name smeserver-mod_maxminddb
%define version 1.1.0
%define release 16

Summary: SME Server mod_dav implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.xz

BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: smeserver-release >= 10
Requires: smeserver-apache >= 2.6.0-19
Requires: httpd >= 2
Requires: mod_maxminddb
Requires: libmaxminddb-devel
Requires: geolite2-city
Requires: geolite2-country
BuildRequires: smeserver-devtools >= 1.13.1-03

%description
Implementation of mod_dav for SME Server 7.

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.1.0-16.sme
- Fix e-smith references in smeserver-mod_maxminddb [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.1.0-15.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Jul 25 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.0-14.sme
- make compatible with httpd24 access  [SME: 12052]

* Fri Apr 02 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.0-11.sme
- add option to allow countries to external access to manager [SME: 10768]
  ValidFromGeoIP will add access to listed countries to managers and all
  ressources using the usual list from httpd-admin Validfrom (local ibays, contribs...)

* Fri Apr 02 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.0-10.sme
- initial import to SME 10 [SME: 11521]
- update event created

* Thu Apr 11 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-7.sme
- fix missing db on installation [SME: 10770]

* Thu Mar 14 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-6.sme
- configure necessary variables [SME: 10759]

* Wed Mar 13 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-4.sme
- fix typo [SME: 10759]
- add requires mod_maxminddb
- rename template 

* Tue Mar 12 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-1.sme
- Initial version [SME: 10759]

%prep
%setup

%build
perl createlinks

%install
rm -rf %buildroot
(cd root ; find . -depth -print | cpio -dump %buildroot)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist %buildroot \
    --dir /var/run/davLocks 'attr(0755,www,www)' \
    > %{name}-%{version}-filelist

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
